Update a fact-find question condition Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v2/fact-find/factFindQuestionCondition/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • fact_find_question_id integer Required

    The ID of the fact find question that this condition belongs to.

  • target_fact_find_question_id integer Required

    The ID of the fact find question that this condition relates to as a field.

  • operator string Required

    The operator to be used for the condition.

  • value string Required

    The value of this condition.

  • has_conditional boolean

    Has the question got any conditions.

  • condition_type string

    ALL/ANY.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • operator string

      Condition operator

    • value string

      Condition value

PUT /api/v2/fact-find/factFindQuestionCondition/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/fact-find/factFindQuestionCondition/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"fact_find_question_id":1234,"target_fact_find_question_id":1234,"operator":"equals","value":"5000","has_conditional":false,"condition_type":"Condition Type"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "fact_find_question_id": 1234,
  "target_fact_find_question_id": 1234,
  "operator": "equals",
  "value": "5000",
  "has_conditional": false,
  "condition_type": "Condition Type"
}
Response examples (200)
{
  "uuid": "278ee943-6cf7-4465-bd4a-8180c63780ab",
  "operator": "equals",
  "value": "Value"
}